import { IButton } from '@libs-ui/components-buttons-button';
import { IPopover, TYPE_POPOVER_EVENT } from '@libs-ui/components-popover';
import { ISwitchEvent } from '@libs-ui/components-switch';
import * as i0 from "@angular/core";
export declare class LibsUiComponentsLabelComponent {
    protected countDisplay: import("@angular/core").Signal<string>;
    protected maxLengthDisplay: import("@angular/core").Signal<string>;
    readonly iconPopoverClass: import("@angular/core").InputSignalWithTransform<string | undefined, string | undefined>;
    readonly classInclude: import("@angular/core").InputSignalWithTransform<string, string | undefined>;
    readonly labelLeft: import("@angular/core").InputSignal<string | undefined>;
    readonly labelLeftClass: import("@angular/core").InputSignalWithTransform<string, string | undefined>;
    readonly labelLeftBehindToggleButton: import("@angular/core").InputSignal<boolean | undefined>;
    readonly popover: import("@angular/core").InputSignal<IPopover | undefined>;
    readonly required: import("@angular/core").InputSignal<boolean | undefined>;
    readonly buttonsLeft: import("@angular/core").InputSignalWithTransform<IButton[] | undefined, IButton[] | undefined>;
    readonly disableButtonsLeft: import("@angular/core").InputSignal<boolean | undefined>;
    readonly buttonsRight: import("@angular/core").InputSignalWithTransform<IButton[] | undefined, IButton[] | undefined>;
    readonly disableButtonsRight: import("@angular/core").InputSignal<boolean | undefined>;
    readonly labelRight: import("@angular/core").InputSignal<string | undefined>;
    readonly labelRightClass: import("@angular/core").InputSignalWithTransform<string | undefined, string | undefined>;
    readonly labelRightRequired: import("@angular/core").InputSignal<string | undefined>;
    readonly hasToggle: import("@angular/core").InputSignal<boolean | undefined>;
    readonly toggleSize: import("@angular/core").InputSignalWithTransform<"default" | "large", "default" | "large">;
    readonly toggleActive: import("@angular/core").InputSignal<boolean | undefined>;
    readonly toggleDisable: import("@angular/core").InputSignal<boolean | undefined>;
    readonly description: import("@angular/core").InputSignal<string | undefined>;
    readonly descriptionClass: import("@angular/core").InputSignalWithTransform<string | undefined, string | undefined>;
    readonly buttonsDescription: import("@angular/core").InputSignalWithTransform<IButton[] | undefined, IButton[] | undefined>;
    readonly disableButtonsDescription: import("@angular/core").InputSignal<boolean | undefined>;
    readonly buttonsDescriptionContainerClass: import("@angular/core").InputSignalWithTransform<string, string | undefined>;
    readonly onlyShowCount: import("@angular/core").InputSignal<boolean | undefined>;
    readonly zIndexPopover: import("@angular/core").InputSignalWithTransform<number, number>;
    readonly timerDestroyPopover: import("@angular/core").InputSignalWithTransform<number, number>;
    readonly count: import("@angular/core").InputSignalWithTransform<number | undefined, number | undefined>;
    readonly limitLength: import("@angular/core").InputSignalWithTransform<number | undefined, number | undefined>;
    readonly outClickButton: import("@angular/core").OutputEmitterRef<IButton>;
    readonly outSwitchEvent: import("@angular/core").OutputEmitterRef<ISwitchEvent>;
    readonly outLabelRightClick: import("@angular/core").OutputEmitterRef<boolean>;
    readonly outLabelLeftClick: import("@angular/core").OutputEmitterRef<MouseEvent>;
    protected handlerClickButton(button: IButton): Promise<void>;
    protected handlerSwitch(toggleEvent: ISwitchEvent): Promise<void>;
    protected handlerEventLabelRight(event: TYPE_POPOVER_EVENT): Promise<void>;
    protected handlerEventLabelLeft(event: MouseEvent): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibsUiComponentsLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibsUiComponentsLabelComponent, "libs_ui-components-label", never, { "iconPopoverClass": { "alias": "iconPopoverClass"; "required": false; "isSignal": true; }; "classInclude": { "alias": "classInclude"; "required": false; "isSignal": true; }; "labelLeft": { "alias": "labelLeft"; "required": false; "isSignal": true; }; "labelLeftClass": { "alias": "labelLeftClass"; "required": false; "isSignal": true; }; "labelLeftBehindToggleButton": { "alias": "labelLeftBehindToggleButton"; "required": false; "isSignal": true; }; "popover": { "alias": "popover"; "required": false; "isSignal": true; }; "required": { "alias": "required"; "required": false; "isSignal": true; }; "buttonsLeft": { "alias": "buttonsLeft"; "required": false; "isSignal": true; }; "disableButtonsLeft": { "alias": "disableButtonsLeft"; "required": false; "isSignal": true; }; "buttonsRight": { "alias": "buttonsRight"; "required": false; "isSignal": true; }; "disableButtonsRight": { "alias": "disableButtonsRight"; "required": false; "isSignal": true; }; "labelRight": { "alias": "labelRight"; "required": false; "isSignal": true; }; "labelRightClass": { "alias": "labelRightClass"; "required": false; "isSignal": true; }; "labelRightRequired": { "alias": "labelRightRequired"; "required": false; "isSignal": true; }; "hasToggle": { "alias": "hasToggle"; "required": false; "isSignal": true; }; "toggleSize": { "alias": "toggleSize"; "required": false; "isSignal": true; }; "toggleActive": { "alias": "toggleActive"; "required": false; "isSignal": true; }; "toggleDisable": { "alias": "toggleDisable"; "required": false; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "descriptionClass": { "alias": "descriptionClass"; "required": false; "isSignal": true; }; "buttonsDescription": { "alias": "buttonsDescription"; "required": false; "isSignal": true; }; "disableButtonsDescription": { "alias": "disableButtonsDescription"; "required": false; "isSignal": true; }; "buttonsDescriptionContainerClass": { "alias": "buttonsDescriptionContainerClass"; "required": false; "isSignal": true; }; "onlyShowCount": { "alias": "onlyShowCount"; "required": false; "isSignal": true; }; "zIndexPopover": { "alias": "zIndexPopover"; "required": false; "isSignal": true; }; "timerDestroyPopover": { "alias": "timerDestroyPopover"; "required": false; "isSignal": true; }; "count": { "alias": "count"; "required": false; "isSignal": true; }; "limitLength": { "alias": "limitLength"; "required": false; "isSignal": true; }; }, { "outClickButton": "outClickButton"; "outSwitchEvent": "outSwitchEvent"; "outLabelRightClick": "outLabelRightClick"; "outLabelLeftClick": "outLabelLeftClick"; }, never, ["div.libs-ui-custom-description"], true, never>;
}
