import { IButton } from "@libs-ui/components-buttons-button";
import { IPopover } from "@libs-ui/components-popover";
export interface ILabel {
    classInclude?: string;
    labelLeft?: string;
    labelLeftClass?: string;
    labelLeftBehindToggleButton?: boolean;
    popover?: IPopover;
    iconPopoverClass?: string;
    zIndexPopover?: number;
    timerDestroyPopover?: number;
    required?: boolean;
    buttonsLeft?: Array<IButton>;
    disableButtonsLeft?: boolean;
    buttonsRight?: Array<IButton>;
    disableButtonsRight?: boolean;
    labelRight?: string;
    labelRightClass?: string;
    labelRightRequired?: string;
    hasToggle?: boolean;
    toggleActive?: boolean;
    toggleDisable?: boolean;
    toggleSize?: 'default' | 'large';
    description?: string;
    descriptionClass?: string;
    buttonsDescription?: Array<IButton>;
    disableButtonsDescription?: boolean;
    buttonsDescriptionContainerClass?: string;
    onlyShowCount?: boolean;
    limitLength?: number;
    count?: number;
}
